Get Folder Agents
List the agents in a folder with the Taskade REST API v1 (GET /folders/{folderId}/agents).
Use this endpoint to list the agents in a folder (a subspace), one page at a time.
get
Get agents in a folder.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
folderIdstringRequired
Query parameters
limitnumberOptionalDefault:
20pagenumberOptionalDefault:
1Responses
200
Agents
application/json
Agents
okboolean · enumRequiredPossible values:
4XX
Error description
application/json
get/folders/{folderId}/agents
GET /api/v1/folders/{folderId}/agents HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"ok": true,
"items": [
{
"id": "abc123DEF456",
"name": "Sales Pipeline",
"space_id": "abc123DEF456",
"data": {
"commands": [
{
"name": "Sales Pipeline",
"description": "Tracks deals from lead to close.",
"prompt": "Summarize the latest updates in this project.",
"id": "abc123DEF456",
"mode": "default"
}
],
"description": "Tracks deals from lead to close.",
"tone": "authoritative",
"avatar": {
"type": "emoji",
"data": {
"value": "example"
}
},
"knowledgeEnabled": true,
"language": "en",
"inputPlaceholder": "example"
}
}
]
}Last updated